Subject: Re: linux-next: manual merge of the arm-soc tree with the usb tree

From: Benoit Cousson <[email-masked]>
Date: Tue, 27 Aug 2013 15:24:24 +0200

Hi Sebatian,

On 27/08/2013 15:02, Javier Martinez Canillas wrote:
> [cc'ing Benoit Cousson (OMAP DT maintainer)]
>
> On Tue, Aug 27, 2013 at 10:54 AM, Sebastian Andrzej Siewior
> <[email-masked]> wrote:
>> On 08/27/2013 10:13 AM, Stephen Rothwell wrote:
>>
>>> Today's linux-next merge of the arm-soc tree got a conflict in
>>> arch/arm/boot/dts/am335x-bone.dts between commit 97238b35d5bb
>>> ("usb: musb: dsps: use proper child nodes") from the  tree and
>>> commit 63f6b2550aa0 ("ARM: dts: AM33XX: don't redefine OCP bus and
>>> device nodes") from the arm-soc tree.
>>>
>>> I fixed it up (probably incorrectly - see below) and can carry the
>>> fix as necessary (no action is required).
>>
>> You added the OCP node back and the USB nodes as I had them which
>> should be fine.
>>
>> How do we solve the conflict for the merge window? Is it possible for
>> the ARM-SOC tree to create a topic branch for this commit?
>>
>> Greg: I do have a pending pull / patches [0] which also change the dts
>> nodes according to the latest feedback + enabling an additional USB
>> port in bone.
>> If you take this in I could update the nodes later (with the topic
>> branch merged) accordingly to the way it has been done in the ARM-SOC
>> tree - unless you have other preferences.
>>
>
> I think that the proper way to handle this is to split the patch-set
> in two and merge all the OMAP DT related changes
> (arch/arm/boot/dts/am*) through Benoit's tree and the USB changes
> (drivers/usb/*) through Greg tree to prevent these kind of merge
> conflicts.

Yes. DT patches are an endless source of merge conflicts if they are 
merge throught different trees.

What was discussed with Olof and Arnd during Connect is that we should 
avoid merging DT patches outside arm-soc tree to avoid that kind of 
situation.

Regards,
Benoit